Endpoints for the Send-To signing flow.
Create a Send-To Request
Starts the signing process by uploading the PDF document content and
assigning it a title.
Limited lifetime
Send-To objects and their related Documents and SignatureRequests are only guaranteed for a limited lifetime.
A Send-To request that is not claimed by a user — i.e. where a user does not add the document to their list of documents to sign — is deleted automatically after one day.
All Send-To objects and their related Documents and SignatureRequest objects, regardless of status, are deleted automatically after 90 days.
Create a Send-To Request › Request Body
titleTitle of the document.
contentPDF file to upload.
Create a Send-To Request › Responses
OK
urlURL to claim document to get signed.
idGenerated send-to document ID
access_codeAccess code to be used in for endpoints.
Track a Send-To Request
To call the track endpoint, you must include the value of the
access_code field—received when creating the Send-To object—in the
request header X-Accesscode.
path Parameters
SEND_TO_IDUnique ID received when creating the Send-To object
Headers
X-AccesscodeAccess code received when creating the Send-To object
Track a Send-To Request › Responses
OK
statusStatus of the Send-To request
User who claimed the Send-To request
List of signers for the Send-To request
Download Send-To Document
To call the download endpoint, you must include the value of the
access_code field—received when creating the Send-To object—in the
request header X-Accesscode.
The response contains the originally provided PDF document in its current
state, which may be signed, declined, withdrawn, or still open for signing.
The current status can be retrieved using the track endpoint.
path Parameters
SEND_TO_IDUnique ID received when creating the Send-To object
Headers
X-AccesscodeAccess code received when creating the Send-To object
Download Send-To Document › Responses
OK
Delete a Send-To Request
To call the delete endpoint, you must include the value of the
access_code field—received when creating the Send-To object—in the
request header X-Accesscode.
This call deletes the involved Send-To, Document, and SignatureRequest
objects regardless of the current Send-To state.
path Parameters
SEND_TO_IDUnique ID received when creating the Send-To object
Headers
X-AccesscodeAccess code received when creating the Send-To object
Delete a Send-To Request › Responses
OK
